import { DataColumn } from "./gridview-columns";
import { GridView, DetailGridView } from "./gridview";
export interface IGridViewFilterCellTemplateComponent {
    column: DataColumn;
    parentGridView: GridView;
    parentFilterCellComponent: IGridViewFilterCellComponent;
}
export interface IGridViewCellTemplateComponent {
    row: any;
    column: DataColumn;
    parentGridView: GridView;
    parentGridViewComponent: IGridViewComponent;
}
export interface IGridViewRowTemplateComponent {
    parentGridView: GridView;
    row: any;
    parentGridViewComponent: IGridViewComponent;
}
export interface IGridViewComponent {
    unpagedData: Array<any>;
    displayData: Array<any>;
    resetDisplayData(): any;
    grid: GridView;
    newRows: {
        [tempKeyValue: string]: any;
    };
    changedRows: {
        [tempKeyValue: string]: any;
    };
    editingRows: {
        [tempKeyValue: string]: any;
    };
    deletedRows: {
        [tempKeyValue: string]: any;
    };
    editRow(row: any): any;
    detailGridViewComponents: {
        [tempKeyValue: string]: IDetailGridViewComponent;
    };
    saveEdit(row: any): any;
    saveAll(): any;
    cancelEdit(row: any): any;
    validate(row: any): any;
    editAll(): any;
    addRow(): any;
}
export interface IDetailGridViewComponent {
    isExpanded: boolean;
    expandCollapse(): void;
    detailGridViewInstance: DetailGridView;
    gridViewComponent: IGridViewComponent;
    parentGridViewComponent: IGridViewComponent;
}
export interface IGridViewFilterCellComponent {
    filterChanged(): void;
}
