import { EventEmitter, NgZone, AfterViewInit, QueryList, ElementRef } from '@angular/core';
import { GridView } from './gridview';
import { DataColumn } from './gridview-columns';
import { IDetailGridViewComponent, IGridViewComponent } from './gridview-interfaces';
import { FieldType } from './gridview-enums';
import { SortDirection } from '../shared';
import { GridViewPagerComponent } from './gridview-pager.component';
import { GridViewHeaderCellComponent } from './gridview-headercell.component';
import { ParserService } from '../services/parser.service';
import { CellArguments } from '../index';
import { ModalDialogComponent } from '../modal-dialog';
export declare class GridViewComponent implements AfterViewInit, IGridViewComponent {
    parserService: ParserService;
    private zone;
    elementRef: ElementRef;
    private _grid;
    selectedKeys: {
        [keyFieldValue: string]: boolean;
    };
    uniqueId: string;
    parentGridViewComponent: GridViewComponent;
    grid: GridView;
    parentComponent: any;
    private _pager;
    pager: GridViewPagerComponent;
    confirmDialog: ModalDialogComponent;
    private initPager();
    headerCells: QueryList<GridViewHeaderCellComponent>;
    sortChanged: EventEmitter<DataColumn>;
    filterChanged: EventEmitter<DataColumn>;
    pageChanged: EventEmitter<any>;
    selectionChanged: EventEmitter<any[]>;
    constructor(parserService: ParserService, zone: NgZone, elementRef: ElementRef);
    newRows: {
        [tempKeyValue: string]: any;
    };
    editingRows: {
        [tempKeyValue: string]: any;
    };
    changedRows: {
        [tempKeyValue: string]: any;
    };
    deletedRows: {
        [tempKeyValue: string]: any;
    };
    detailGridViewComponents: {
        [tempKeyValue: string]: IDetailGridViewComponent;
    };
    showRequired: {
        [tempKeyValue: string]: boolean;
    };
    printing: boolean;
    promptConfirm: {
        [templateKeyValue: string]: boolean;
    };
    self: GridViewComponent;
    protected sortDirection: typeof SortDirection;
    protected fieldType: typeof FieldType;
    private _unpagedData;
    private _displayData;
    private resetData(resetPage?);
    private updateBodyHeight();
    private updateHeight();
    hasFilterRow(): boolean;
    editingRow(row: any): any;
    readonly editing: boolean;
    readonly adding: boolean;
    private _indexWidthInited;
    getVisibleColumnCount(): number;
    ngAfterViewInit(): void;
    updateDimensions(): void;
    toggleFilter(): void;
    rowClick(row: any): void;
    handleSortChanged(column: DataColumn): void;
    private getSortedData(data);
    private getFilteredData(rawData);
    readonly unpagedData: Array<any>;
    expandAll(): void;
    collapseAll(): void;
    expandCollapse(keyFieldValue: any): void;
    getSelectedKeys(): Array<any>;
    private showRow(row);
    readonly displayData: Array<any>;
    private removeRowFromGrid(row);
    addRow(): void;
    editRow(row: any): void;
    editAll(): void;
    cancelAll(): void;
    cellValueChanged(args: CellArguments): void;
    confirmDelete(row: any): void;
    cancelDelete(row: any): void;
    private deleteSuccess(row);
    deleteRow(row: any): void;
    validate(row: any): Array<DataColumn>;
    saveAll(): void;
    saveEdit(row: any): boolean;
    cancelEdit(row: any): void;
    refreshDataSource(): void;
    resetDisplayData(): void;
    handlePageChanging(): void;
    handlePageChanged(pageNumber: any): void;
}
