import { ElementRef, EventEmitter, NgZone } from '@angular/core';
import { Observable } from 'rxjs';
export declare class ModalDialogComponent {
    private elementRef;
    private zone;
    private currObserver;
    overrideTop: any;
    overrideLeft: any;
    button: typeof Button;
    buttons: Button;
    shown: boolean;
    headerText: string;
    showBackdrop: boolean;
    hideCloseButton: boolean;
    showHeader: boolean;
    showFooter: boolean;
    bodyContent: string;
    closing: EventEmitter<ClosingArgs>;
    dialog: any;
    tag: any;
    private currentonclick;
    uniqueId: string;
    ok(): void;
    cancel(): void;
    yes(): void;
    no(): void;
    readonly isShown: boolean;
    constructor(elementRef: ElementRef, zone: NgZone);
    toggle(): void;
    show(buttons?: Button, hideAfter?: number, x?: number, y?: number): Observable<DialogResult>;
    showResult(headerText: string, bodyContent: string, hideAfter?: number): Observable<DialogResult>;
    showError(headerText: string, bodyContent: string): Observable<DialogResult>;
    showYesNo(headerText: string, bodyContent: string): Observable<DialogResult>;
    hide(dialogResult?: DialogResult): void;
}
export declare enum Button {
    OK = 0,
    OKCancel = 1,
    YesNo = 2,
    None = 3,
}
export declare enum DialogResult {
    OK = 0,
    Cancel = 1,
    Yes = 2,
    No = 3,
}
export declare class ClosingArgs {
    dialogResult: DialogResult;
    cancel: boolean;
}
