import { EventEmitter, ElementRef, OnInit } from '@angular/core';
export declare const MULTITEXTBOX_TEMPLATE = "\n<div class='multi-textbox'>\n\t<div class='input-button-container component' [style.display]=\"currText ? 'inline' : 'none'\">\n\t\t<div class='multi-textbox-add'>\n\t\t\t<button class='icon-plus-black icon-xx-small icon-button' (click)='addItem()' tabindex=\"-1\">\n\t\t\t</button>\n\t\t</div>\n\t</div>\n\t<div class='multi-textbox-item-container component' [style.padding-left]=\"(originalPaddingLeft <= 0 ? 0 : originalPaddingLeft - 1) + 'px'\">\n\t\t<div *ngFor='let item of items || []' class='multi-textbox-item'>\n\t\t\t{{getObjectValue(item)}}\n\t\t\t<div class='multi-textbox-remove'>\n\t\t\t\t<button class='icon-remove-black icon-x-small icon-button' *ngIf='!isReadOnly' (click)='removeItem(item)' tabindex=\"-1\">\n\t\t\t\t</button>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</div>\n";
export declare class MultiTextboxComponent implements OnInit {
    protected elementRef: ElementRef;
    isReadOnly: boolean;
    private _items;
    items: Array<any>;
    itemsChanged: EventEmitter<any>;
    paddingChanged: EventEmitter<any>;
    private _currText;
    currText: string;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    originalPaddingLeft: number;
    private _paddingLeft;
    readonly paddingLeft: number;
    resize(): void;
    removeItem(item: any): void;
    itemsAreEqual(item1: any, item2: any): boolean;
    addItem(): void;
    keydown(event: KeyboardEvent, ignoreEnter: boolean): void;
    blur(): void;
    getObjectValue(item: any): any;
}
