import { EventEmitter } from '@angular/core';
import { ParserService } from '../services/parser.service';
export declare const TYPEAHEAD_TEMPLATE = "\n\t<div class='typeahead'>\n\t\t<div class='input-button-container id_{{typeahead.uniqueId}}' *ngIf='!typeahead.dataSourceFunction && !typeahead.hideButton'>\n\t\t\t<button type='button' class='input-button id_{{typeahead.uniqueId}}' (click)='typeahead.openByButton()' (keydown)='typeahead.keydown($event)' tabindex=\"-1\">\n\t\t\t\t<div class='icon-arrow-down-black icon-xx-small id_{{typeahead.uniqueId}}'></div>\n\t\t\t</button>\n\t\t</div>\n\t\t<div class='input-button-container' *ngIf='typeahead.dataSourceFunction && typeahead.loading'>\n\t\t\t<span class='icon-small icon-refresh-black typeahead-refresh-icon'></span>\n\t\t</div>\n\t\t<div *ngIf='typeahead.dropdownVisible' class='typeahead-popup component' [style.maxHeight]=\"typeahead.popupHeight\">\n\t\t\t<div *ngFor='let item of typeahead.items; let i = index'>\n\t\t\t\t<div class='typeahead-item' *ngIf='!typeahead.itemHidden(item)' class=\"typeahead-item {{typeahead.activeIndex == i ? 'typeahead-item-selected' : ''}}\" (mouseover)='typeahead.hovered(i)' (click)='typeahead.selectItem(item)'>\n\t\t\t\t\t<div [innerHtml]='typeahead.itemDisplay(item)'></div>\n\t\t\t\t</div>\n\t\t\t</div>\n        </div>\n\t\t<strong *ngIf='typeahead.typeaheadError' class='typeahead-error'>\n\t\t\tInvalid selection, please select item from list.\n\t\t</strong>\n\t</div>\n";
export declare class Typeahead {
    private parserService;
    valueChanged: EventEmitter<any>;
    private isOpenByButton;
    constructor(parserService: ParserService);
    loading: boolean;
    items: Array<any>;
    dataSourceFunction: (partial: string) => any;
    private _dataSource;
    dataSource: any;
    private _lock;
    private _innerValue;
    private innerValue;
    displayMember: string;
    matchOn: Array<string>;
    limitToList: boolean;
    valueMember: string;
    dropdownVisible: boolean;
    activeIndex: number;
    textValue: string;
    minLength: number;
    waitMs: number;
    popupHeight: string;
    hideButton: boolean;
    itemSelected: EventEmitter<any>;
    objectSelected: EventEmitter<any>;
    uniqueId: string;
    typeaheadError: boolean;
    selectItem(item: any): void;
    protected activateItem(index: number): void;
    private isMatch(item);
    private getMatchIndices();
    private _lastKeypress;
    keyup(event: any): void;
    private processObservableFunction(funcValue, ddVisible);
    private setActiveIndex(ddVisible);
    protected processSelection(charCode: any): void;
    writeValue(value: any): void;
    keydown(event: any): void;
    itemHidden(item: any): boolean;
    private getTextMatchIndex(item);
    itemDisplay(item: any): any;
    hovered(index: any): void;
    currentonclick: any;
    initTypeahead(sender: any, document: any): void;
    openByButton(): void;
}
